# Pilothouse

Pilothouse is a command line app for managing a Docker-based LEMP local development environment.

Pilothouse is completely free and open source, and features:
 * Unlimited local sites
 * Laravel and WordPress support built-in
 * Seamless Composer and WP-CLI integration
 * Multiple PHP versions, configurable on a per-site basis
 * Automated hosts file management
 * SSL automatically available for all local sites
 * Remote PHP debugging using Xdebug

...and much more!

Pilothouse is currently only supported on macOS, but support for Linux and Windows will be coming soon!

## What's Inside

- Nginx
- PHP 5.6, 7.0, 7.1, 7.2, 7.3, and 7.4
- MariaDB
- phpMyAdmin
- Redis
- Xdebug
- Composer
- WP-CLI
- MailCatcher

## Documentation

Full documentation is available in the [Wiki](https://github.com/Pilothouse-App/Pilothouse/wiki). Start by reading the [Installation](https://github.com/Pilothouse-App/Pilothouse/wiki/Installation), [Services](https://github.com/Pilothouse-App/Pilothouse/wiki/Services), [Commands](https://github.com/Pilothouse-App/Pilothouse/wiki/Commands), and [Third Party Software Helpers](https://github.com/Pilothouse-App/Pilothouse/wiki/Third-party-Software-Helpers) pages.

## Meta

Pilothouse is open source software licensed under the GPLv2. Pilothouse was created and is maintained by [Philip Newcomer](https://philipnewcomer.net). Props to [these awesome contributors](https://github.com/Pilothouse-App/pilothouse/graphs/contributors)!
